package com.qmth.cqb.paper.model;

import com.qmth.cqb.paper.dto.PaperDetailUnitStructDto;

import java.io.Serializable;
import java.util.Map;
import java.util.List;

/**
 * 试卷结构明细
 * Created by songyue on 16/12/28.
 */

public class PaperDetailStruct implements Serializable{
	
	private static final long serialVersionUID = -1102384643351847702L;

	private String id;
	
	private Integer number;//大题序号
	
	private String name;//大题名称
	
	private List<PaperDetailUnitStruct> paperDetailUnitStructs;//小题明细

	private List<PaperDetailUnitStructDto> unitStructs;//题目类型统计

	private Double totalScore;//大题总分
	
	private Map params;//大题参数

	private String remark;

	private Integer detailCount;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<PaperDetailUnitStruct> getPaperDetailUnitStructs() {
		return paperDetailUnitStructs;
	}

	public void setPaperDetailUnitStructs(List<PaperDetailUnitStruct> paperDetailUnitStructs) {
		this.paperDetailUnitStructs = paperDetailUnitStructs;
	}

	public List<PaperDetailUnitStructDto> getUnitStructs() {
		return unitStructs;
	}

	public void setUnitStructs(List<PaperDetailUnitStructDto> unitStructs) {
		this.unitStructs = unitStructs;
	}

	public Double getTotalScore() {
		return totalScore;
	}

	public void setTotalScore(Double totalScore) {
		this.totalScore = totalScore;
	}

	public Map getParams() {
		return params;
	}

	public void setParams(Map params) {
		this.params = params;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getDetailCount() {
		return detailCount;
	}

	public void setDetailCount(Integer detailCount) {
		this.detailCount = detailCount;
	}

	public PaperDetailStruct() {
	}
}
