package com.qmth.cqb.paper.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Service;

import com.qmth.cqb.paper.dao.ExamPaperRepo;
import com.qmth.cqb.paper.model.ExamPaper;

/**
 * @author  	chenken
 * @date    	2017年4月17日 上午10:46:40
 * @company 	QMTH
 * @description ExamPaperServiceImpl.java
 */
@Service("examPaperService")
public class ExamPaperServiceImpl implements ExamPaperService {
	
	@Autowired
	private ExamPaperRepo examPaperRepo;
	
	@Override
	public List<ExamPaper> findExamPaperList(ExamPaper condition) {
		return examPaperRepo.findAll(Example.of(condition));
	}

	@Override
	public ExamPaper saveExamPaper(ExamPaper examPaper) {
		return examPaperRepo.save(examPaper);
	}

}

