package com.qmth.cqb.question.dao;

import cn.com.qmth.examcloud.common.dto.question.enums.QuesStructType;
import com.qmth.cqb.question.model.Question;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.Set;

/**
 * Created by songyue on 16/12/28.
 */
public interface QuesRepo extends MongoRepository<Question, String>, QueryByExampleExecutor<Question> {

    public Page<Question> findByIdNotInAndCourseNo(Set<String> idSet, String courseNo, Pageable page);

    public Page<Question> findByIdNotInAndCourseNoAndQuestionType(Set<String> idSet, String courseNo,
            QuesStructType quesType, Pageable page);
}
