package com.qmth.cqb;

import org.apache.commons.lang.StringUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import com.qmth.cqb.paper.dao.ExportServiceManageRepo;
import com.qmth.cqb.paper.model.ExportServiceManage;
import com.qmth.cqb.paper.service.PaperService;

/**
 * @author  	chenken
 * @date    	2017年5月12日 下午1:35:39
 * @company 	QMTH
 * @description PaperServiceTest.java
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class PaperServiceTest {
	@Autowired
	PaperService paperService;
	@Autowired
	ExportServiceManageRepo esmRepo;
	
	@Test
	public void testUseBasePaper(){
		String selectedPaperIds = "58f7294f6bf08e3453d9836c";
		String userId = "chenken";
		paperService.useBasePaper(selectedPaperIds, userId);
	}
	
	public static void main(String[] args){
		String[] answers = {"A","B"};
		System.out.println(StringUtils.join(answers,","));
	}
	
	
	@Test
	public void testExportServiceManage(){
		ExportServiceManage esm = new ExportServiceManage();
		esm.setOrgName("陕西师范大学");
		esm.setExportServiceName("sxsfExportPaperService");
		esmRepo.save(esm);
	}
}

